Skip to main content

AssignDIDToAgent assigns a DID to an agent.

POST 

/api/v1/voice/dids/:didId/agents

Creates an assignment allowing the agent to use this DID. An agent can have multiple DIDs assigned.

Assignment Types​

  • outbound_caller_id: Agent can use DID for outbound calls
  • inbound_routing: Calls to DID route directly to agent

Parameters​

  • did_id: Required, DID to assign
  • agent_id: Required, agent to assign to
  • assignment_type: Optional, type of assignment (default: outbound_caller_id)
  • is_primary: Optional, set as agent's primary DID

Errors​

  • ALREADY_EXISTS: Assignment already exists
  • NOT_FOUND: DID or agent not found
  • PERMISSION_DENIED: Caller lacks voice:agent:write permission

Request​

Responses​

A successful response.